読者です 読者をやめる 読者になる 読者になる

EnvjsがRuby1.9で動かない件

テスト用に capybara-envjs を使ってみようと思ったのですが、上手くインストールできませんでした。

js_land_proxy.h:11:18: error: node.h: No such file or directory


いろいろ調べたところ、githubに答えがありました。
https://github.com/smparkes/capybara-envjs/issues/48


ruby1.9はサポートしていないし、しばらくサポートの予定もないとのことでした。


rails3+envjsの組み合わせで、JSのテストをRubyで書きたい場合は、Ruby1.8.7しかないみたいです。
Ruby1.9でさくっとJSのテストを書きたいんだけど、うーん、何かよい方法はないものかなぁ。